Ticket #16326

FORM_TYPE_TEXTAREAの場合にtextareaのvelue属性をセットしない

Open Date: 2009-04-22 22:31 Last Update: 2009-04-30 01:05

Reporter:
Owner:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

※ preview3で確認しました

1.下記をActionFormに定義

        'string' => array(
            'type'      => VAR_TYPE_STRING,
            'form_type' => FORM_TYPE_TEXTAREA,
            'name'      => 'string',
        ),
2.templateに下記を指定
{form_input name="string"}
3.ActionClassで値をセット
$this->af->set('string','foo')
4.出力結果
<textarea name="string" value="foo">foo</textarea>

この場合、textareaにvalue属性が必ず設定されます。

これに関してはブラウザに無視されるだけで特に害はないとは思うのですが、値を設定する必要も無いようにも思います。

なので、templateに明示的にvalueを指定した場合にのみtextareaにvalue属性をセットできると良いのではないかと思いました。

Ticket History (3/4 Histories)

2009-04-22 22:31 Updated by: syachi
  • New Ticket "FORM_TYPE_TEXTAREAの場合にtextareaのvelue属性をセットしない" created
2009-04-26 02:36 Updated by: mumumu-org
  • Milestone Update from (None) to 2.5.0p4 (closed)
  • Component Update from (None) to Ethna-Core
  • Owner Update from (None) to mumumu-org
2009-04-30 01:05 Updated by: mumumu-org
  • Ticket Close date is changed to 2009-04-30 01:05
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

頂いたpatchをそのまま採用させて頂き、r815 にて修正しました。 いつも御報告ありがとうございます。

Attachment File List

Edit

Please login to add comment to this ticket » Login